Jump to content

Erreur lors d'import BDD ? Version, charset ?


kush

Recommended Posts

Bonjour à tous,

Je suis désemparé, j'ai un site qui fonctionne très bien en local et je n'arrive pas à importer ma BDD SQL sur l'hébergement :(

Lorsque je lance l'import, j'ai le message :

-- --------------------------------------------------------

--

-- Structure de la table `columns_priv`

--

CREATE TABLE `columns_priv` (

`Host` char( 60 ) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL default '',

`Db` char( 64 ) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL default '',

`User` char( 16 ) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL default '',

`Table_name` char( 64 ) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL default '',

`Column_name` char( 64 ) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL default '',

`Timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP ,

`Column_priv` set( 'Select', 'Insert', 'Update', 'References' ) NOT NULL default '',

PRIMARY KEY ( `Host` , `Db` , `User` , `Table_name` , `Column_name` )

) ENGINE = MYISAM DEFAULT CHARSET = latin1 COMMENT = 'Column privileges';

MySQL a répondu:Documentation

#1064 - You have an error in your SQL syntax near 'character set latin1 collate latin1_bin NOT NULL default '',

`Db` char(64) ch' at line 4

Je pense pourtant avoir mis le même charset en local :

Langage : French-UTF-8

Jeu de caractères pour MySQL: UTF-8 Unicode (utf8)

Interclassement pour la connection MySQL: utf8_general_ci

...et sur mon hébèrgement :

Français - French (utf-8)

Je précise que mon hébergeur a pourtant des versions récentes (MySQL - 3.23.43-log / Version du client MySQL: 4.0.24 / phpMyAdmin - 2.8.0.3) et que j'ai travaillé avec un EasyPHP assez ancien (apache 1.3.33 - php 4.3.10 - mysql 4.1.9 - phpmyadmin 2.6.1).

De quoi cela viendrait-il svp ?

Merci beaucoup de m'avoir lu :)

Link to comment
Share on other sites

MySQL 3.23.43-log est tout sauf une version récente. :whistling:

Essaie d'exporter chez toi en choisissant la compatibilité MySQL 3 ...

Link to comment
Share on other sites

Ton problème est bien celui que Dan a relevé.

Les tables de caractères pour les "collations" n'existaient pas dans les versions 3.x ... D'où cette erreur.

L'export en version 3.x devrait résoudre ton problème.

Link to comment
Share on other sites

  • 5 years later...

Bonjour et bienvenue sur Webmaster-Hub.



Donne-nous le message d'erreur exact que tu reçois ainsi que la version de mysql sous laquelle le dump a été effectué.


Link to comment
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
×
×
  • Create New...